@charset "utf-8";

html {
  font-family: "Zen Maru Gothic", sans-serif;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
main {
  margin: 1%;
}

main h1 {
  color: #00cc66;
  -webkit-text-stroke: 1px #333;
  text-shadow: 0px 0px 4px rgba(0, 204, 102, 0.8);
}
main .element {
  margin: 3%;
  padding: 1%;
  font-weight: 450;
}

@media (max-width: 768px) {
  main h1 {
    margin: 5% 0 10% 0;
    font-size: 24px;
  }
  main .element {
    line-height: 1.7;
  }
}

/* パンくずリスト --------------------*/
.breadcrumb {
  display: flex;
  gap: 8px;
  font-size: 14px;
  margin-top: 1%;
  list-style-type: none;
}

.breadcrumb li {
  white-space: nowrap;
}

.breadcrumb li::after {
  content: "＞";
  margin-left: 8px;
}

.breadcrumb li:last-child::after {
  content: "";
}


/* ヘッダー部分 --------------------*/
header {
  background-color: #ff0066;
  height: 35px;
  display: flex;
  justify-content: space-between;
  border-top: 1.5px solid #333;
  border-bottom: 1.5px solid #333;
  font-family:
    "Hiragino Maru Gothic ProN", "ヒラギノ丸ゴ ProN W4", "Yu Gothic", sans-serif;
}
.header-clock {
  display: flex;
}

.clock {
  margin: auto;
  font-size: 16px;
  font-weight: 600;
  color: #eee;
  line-height: 1;
}

@media (max-width: 768px) {
  .header-clock {
    margin: 0 auto 0 15px;
  }
  .clock {
    font-size: 15px;
  }
}

/* 検索部分 */
.header-search {
  height: 32px;
  display: flex;
}
.search {
  margin: auto;
  font-size: 14px;
  width: 200px;
}
.header-search-input {
  margin-right: -5px;
  width: 75%;
  background-color: #eee;
  border: 1px solid #333;
}
.search-button {
  border: 1px solid #333;
  background-color: #007bff;
  color: #eee;
}

/* リンク部分 */
#header-links {
  display: flex;
  justify-content: flex-end;
  gap: 2.5rem;
}
.header-link {
  margin: auto;
  cursor: pointer;
  color: #eee;
  font-weight: bold;
  border-radius: 50%;
  transition: 0.3s ease;
  text-align: center;
}
.header-link a {
  text-decoration: none;
  color: inherit;
}

/* ホバー時 */
.header-link:hover {
  color: #333;
  background-color: #eee;
}

.hamburger {
  width: 32px;
  height: 28px;
  padding: 0;
  cursor: pointer;
  flex-direction: column;
  justify-content: space-around;
  margin: 2px 5px 0 0;
  display: none;
  z-index: 10000;
}

.line {
  background-color: #eee;
  width: 100%;
  height: 2px;
  transition: all 0.3s ease;
  transform-origin: center;
  transition: all 0.5s cubic-bezier(0.07, 1.59, 0.9, 0.96);
}
.line.active:nth-child(1) {
  transform: translateY(9px) rotate(225deg);
}
.line.active:nth-child(2) {
  transform: translateY(9px) rotate(125deg);
  opacity: 0;
}
.line.active:nth-child(3) {
  transform: translateY(-9px) rotate(315deg);
}

.menu {
  display: none;
  position: fixed;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.7);
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.menu ul {
  list-style: none;
  line-height: 2.5;
}
.menu-rink {
  color: #eee;
  font-size: 22px;
  font-weight: 600;
}

.menu-remove {
  margin-top: 60px;
  position: absolute;
  top: 60%;
  right: 50%;
  color: #eee;
  cursor: pointer;
  font-size: 20px;
  border-radius: 50%;
  height: 30px;
  text-align: center;
}

.footer-link {
  text-decoration: none;
  color: #333;
  font-size: 14px;
}

@media (max-width: 768px) {
  /* リンク部分*/
  .header-link {
    display: none;
  }
  .hamburger {
    display: flex;
  }
}

/* フッター部分 --------------------*/
footer {
  margin-top: auto;
  text-align: center;
  height: 70px;
  border-top: 1.5px solid #333;
  border-bottom: 1.5px solid #333;
  background-color: #ff0066;
  color: #eee;
}
